mmrazor.engine
------------------

hooks
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.engine.hooks
    :members:

optimizers
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.engine.optimizers
    :members:

runner
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.engine.runner
    :members:

mmrazor.models
------------------

algorithms
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.algorithms
    :members:

architectures
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.architectures
    :members:

distillers
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.distillers
    :members:

losses
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.losses
    :members:

mutables
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.mutables
    :members:

mutators
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.mutators
    :members:

ops
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.ops
    :members:

task_modules
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.task_modules
    :members:

utils
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.models.utils
    :members:

mmrazor.registry
------------------

.. automodule:: mmrazor.registry
    :members:

mmrazor.structures
------------------

delivery
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.structures.delivery
    :members:

graph
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.structures.graph
    :members:

recorder
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.structures.recorder
    :members:

subnet
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.structures.subnet
    :members:

tracer
^^^^^^^^^^^^^^^^^^
.. automodule:: mmrazor.structures.tracer
    :members:

mmrazor.utils
------------------
.. automodule:: mmrazor.utils
    :members:
